Bug 2062751 (CVE-2022-24730)

Summary: CVE-2022-24730 argocd: path traversal and improper access control allows leaking out-of-bound files
Product: [Other] Security Response Reporter: Marian Rehak <mrehak>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: scorneli, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: argocd 2.3.0, argocd 2.2.6, argocd 2.1.11 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in ArgoCD. This flaw allows an attacker with read-only repository access to leak files from the repo server that the attacker should not have access to. An attacker can send a crafted request to retrieve file contents. This issue results in the disclosure of sensitive information to an unauthorized actor and compromises data confidentiality.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-03-24 00:01:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2062752    

Description Marian Rehak 2022-03-10 14:07:56 UTC
A  path traversal bug, compounded by an improper access control bug, allowing a malicious user with read-only repository access to leak sensitive files from Argo CD's repo-server.

Comment 2 errata-xmlrpc 2022-03-23 21:17:29 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift GitOps 1.3

Via RHSA-2022:1040 https://access.redhat.com/errata/RHSA-2022:1040

Comment 3 errata-xmlrpc 2022-03-23 21:19:00 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift GitOps 1.4

Via RHSA-2022:1041 https://access.redhat.com/errata/RHSA-2022:1041

Comment 4 errata-xmlrpc 2022-03-23 21:20:08 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift GitOps 1.2

Via RHSA-2022:1039 https://access.redhat.com/errata/RHSA-2022:1039

Comment 5 errata-xmlrpc 2022-03-23 21:53:43 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift GitOps 1.3

Via RHSA-2022:1042 https://access.redhat.com/errata/RHSA-2022:1042

Comment 6 Product Security DevOps Team 2022-03-24 00:01:08 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-24730